<?php
$files = $values['files'];           // Ficheros 
$id = $values['id_edas_file'];       // Id del registro
$pathFiles = __DIR__."/../";         // Para ubicar el dicrectorio de los ficheros
$change = 0;                         // swich de cambios

$fileArray = my_json_decode($files);
foreach ($fileArray as &$file) {	
    if (str_contains($file['name'],'/tmp/')) {   // Está sin cambiar
        $originFile = $pathFiles.$file['name'];
        $destinationName = str_replace('/tmp/','/'.$id.'/',$file['name']);
        $destinationFile = $pathFiles.$destinationName;
        $destinationDir = $pathFiles.'files/'.$id ;

        if (!file_exists($destinationDir)) {  // Crea directorio si no existe
            mkdir($destinationDir, 0755);
        }

        $error = rename($originFile,$destinationFile);
        $change = 1; 
        $file['name'] = $destinationName;
    }    
}    
if ($change == 1) {  // Hay cambios de ficheros 

    $data = array();
    $keyvalues = array();
    $data["files"] = my_json_encode($fileArray);;
    $keyvalues['id_edas_file']= $id;
    DB::Update("edas_file", $data, $keyvalues );
}
